LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::drawing::EnhancedCustomShapeSegmentCommand Constant Group Reference

## Variables
const short | UNKNOWN = 0
const short | MOVETO = 1
const short | LINETO = 2
const short | CURVETO = 3
const short | CLOSESUBPATH = 4
const short | ENDSUBPATH = 5
const short | NOFILL = 6
const short | NOSTROKE = 7
const short | ANGLEELLIPSETO = 8
const short | ANGLEELLIPSE = 9
const short | ARCTO = 10
const short | ARC = 11
const short | CLOCKWISEARCTO = 12
const short | CLOCKWISEARC = 13
const short | ELLIPTICALQUADRANTX = 14
const short | ELLIPTICALQUADRANTY = 15
const short | QUADRATICCURVETO = 16
const short | ARCANGLETO = 17
const short | DARKEN = 18
| darken fill color More...
const short | DARKENLESS = 19
| darken fill color less More...
const short | LIGHTEN = 20
| lighten fill color More...
const short | LIGHTENLESS = 21
| lighten fill color less More...

## Variable Documentation

## ◆ ANGLEELLIPSE

const short ANGLEELLIPSE = 9

## ◆ ANGLEELLIPSETO

const short ANGLEELLIPSETO = 8

## ◆ ARC

const short ARC = 11

## ◆ ARCANGLETO

const short ARCANGLETO = 17

## ◆ ARCTO

const short ARCTO = 10

## ◆ CLOCKWISEARC

const short CLOCKWISEARC = 13

## ◆ CLOCKWISEARCTO

const short CLOCKWISEARCTO = 12

## ◆ CLOSESUBPATH

const short CLOSESUBPATH = 4

## ◆ CURVETO

const short CURVETO = 3

## ◆ DARKEN

const short DARKEN = 18

darken fill color

## ◆ DARKENLESS

const short DARKENLESS = 19

darken fill color less

## ◆ ELLIPTICALQUADRANTX

const short ELLIPTICALQUADRANTX = 14

## ◆ ELLIPTICALQUADRANTY

const short ELLIPTICALQUADRANTY = 15

## ◆ ENDSUBPATH

const short ENDSUBPATH = 5

## ◆ LIGHTEN

const short LIGHTEN = 20

lighten fill color

## ◆ LIGHTENLESS

const short LIGHTENLESS = 21

lighten fill color less

## ◆ LINETO

const short LINETO = 2

## ◆ MOVETO

const short MOVETO = 1

## ◆ NOFILL

const short NOFILL = 6

## ◆ NOSTROKE

const short NOSTROKE = 7

## ◆ QUADRATICCURVETO

const short QUADRATICCURVETO = 16

## ◆ UNKNOWN

const short UNKNOWN = 0